summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Binh Nguyen2010-07-23 03:55:14 +0200
committer Erik Hanson2010-07-26 04:52:40 +0200
commitb065b5b72133731c74dac7ec2d8c52aee70176c3 (patch)
tree210454748d3eeb1b35e64f96333f0e3cfe76a3a7 /games
parent25c67f495a0266da578d43f1b3ed64166b96bf38 (diff)
downloadslackbuilds-b065b5b72133731c74dac7ec2d8c52aee70176c3.tar.gz
games/nsudoku: Added (A Sudoku game in ncurses)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/nsudoku/LICENSE22
-rw-r--r--games/nsudoku/README1
-rw-r--r--games/nsudoku/nsudoku.SlackBuild65
-rw-r--r--games/nsudoku/nsudoku.info10
-rw-r--r--games/nsudoku/slack-desc19
5 files changed, 117 insertions, 0 deletions
diff --git a/games/nsudoku/LICENSE b/games/nsudoku/LICENSE
new file mode 100644
index 0000000000..94899139f5
--- /dev/null
+++ b/games/nsudoku/LICENSE
@@ -0,0 +1,22 @@
+Copyright (c) 2008 Tin Benjamin Matuka
+
+Permission is hereby granted, free of charge, to any person
+obtaining a copy of this software and associated documentation
+files (the "Software"), to deal in the Software without
+restriction, including without limitation the rights to use,
+copy, modify, merge, publish, distribute, sublicense, and/or sell
+copies of the Software, and to permit persons to whom the
+Software is furnished to do so, subject to the following
+conditions:
+
+The above copyright notice and this permission notice shall be
+included in all copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
+OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
+NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
+HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
+WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
+FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
+OTHER DEALINGS IN THE SOFTWARE.
diff --git a/games/nsudoku/README b/games/nsudoku/README
new file mode 100644
index 0000000000..cb06792ae4
--- /dev/null
+++ b/games/nsudoku/README
@@ -0,0 +1 @@
+nsudoku is a very simple ncurses-based Sudoku game.
diff --git a/games/nsudoku/nsudoku.SlackBuild b/games/nsudoku/nsudoku.SlackBuild
new file mode 100644
index 0000000000..6774608720
--- /dev/null
+++ b/games/nsudoku/nsudoku.SlackBuild
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+# Copyright 2010 Binh Nguyen <binhnguyen@fastmail.fm>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=nsudoku
+VERSION=${VERSION:-1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cat $CWD/$PRGNAM.c > $PRGNAM-$VERSION/$PRGNAM.c
+cd $PRGNAM-$VERSION
+
+gcc -lncurses -o $PRGNAM $PRGNAM.c
+install -Dm755 $PRGNAM $PKG/usr/bin/$PRGNAM
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/LICENSE > $PKG/usr/doc/$PRGNAM-$VERSION/LICENSE
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/nsudoku/nsudoku.info b/games/nsudoku/nsudoku.info
new file mode 100644
index 0000000000..aca1fa702d
--- /dev/null
+++ b/games/nsudoku/nsudoku.info
@@ -0,0 +1,10 @@
+PRGNAM="nsudoku"
+VERSION="1.0"
+HOMEPAGE="http://www.sh1fty.com/nsudoku/"
+DOWNLOAD="http://www.sh1fty.com/nsudoku/nsudoku.c"
+MD5SUM="49809d876f17c37d24f5bdb32473707e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Binh Nguyen"
+EMAIL="binhnguyen@fastmail.fm"
+APPROVED="Erik Hanson"
diff --git a/games/nsudoku/slack-desc b/games/nsudoku/slack-desc
new file mode 100644
index 0000000000..e286c77249
--- /dev/null
+++ b/games/nsudoku/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+nsudoku: nsudoku (A Sudoku game in ncurses)
+nsudoku:
+nsudoku: nsudoku is a very simple ncurses-based Sudoku game.
+nsudoku:
+nsudoku: Homepage: http://www.sh1fty.com/nsudoku/
+nsudoku:
+nsudoku:
+nsudoku:
+nsudoku:
+nsudoku:
+nsudoku: